Bug 986576 - Maven repo: Non-productized artifacts
Maven repo: Non-productized artifacts
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium
: ER01
: 6.1.1
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 16:24 EDT by Miroslav Cupák
Modified: 2015-01-05 20:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2013-07-20 16:24:16 EDT
Description of problem:
There are several non-productized artifacts in the Maven repo.

Additional info:
List of these artifacts:
jgroups/jgroups/2.6.22.Final/jgroups-2.6.22.Final.pom
caja/caja/r4251/caja-r4251.pom
org/jboss/cache/jbosscache-common-parent/1.6/jbosscache-common-parent-1.6.pom
org/jboss/cache/jbosscache-support/1.6/jbosscache-support-1.6.pom
org/jboss/cache/jbosscache-core/3.2.7.GA/jbosscache-core-3.2.7.GA.pom
Comment 2 hfnukal@redhat.com 2013-08-28 09:23:05 EDT
jgroups is dev requirement for compatibility.
jbosscache is dev requirement for compability.
caja is javascript compiler, we need to decide if it should be productized.
Comment 3 Miroslav Cupák 2013-09-27 10:58:23 EDT
I'm reopening this as it became an issue again in 6.1.0.CR03 after inclusion of more artifacts.

List of affected artifacts:
batik-css-1.7.batik-css-1.7
batik-util-1.7.batik-util-1.7
exo.tool.framework.junit-1.2.3-GA.exo.tool.framework.junit-1.2.3-GA
jacorb-idl-2.2.3-jonas-patch-20071018.jacorb-idl-2.2.3-jonas-patch-20071018
jaxb-api-2.1.4.jaxb-api-2.1.4
jboss-mc-int-common-2.2.0.Alpha2.jboss-mc-int-common-2.2.0.Alpha2
jboss-mc-int-servlet-2.2.0.Alpha2.jboss-mc-int-servlet-2.2.0.Alpha2
jbosssx-2.0.4.jbosssx-2.0.4
sac-1.3.sac-1.3
xml-apis-2.9.1.xml-apis-2.9.1
bootstrap-ui-0.1.0.Final.bootstrap-ui-0.1.0.Final
caja-r4251.caja-r4251
htmlparser-r4209.htmlparser-r4209
jbosscache-core-3.2.7.GA.jbosscache-core-3.2.7.GA
jgroups-2.6.22.Final.jgroups-2.6.22.Final
josso-agent-1.8.5.josso-agent-1.8.5
josso-agent-shared-1.8.5.josso-agent-shared-1.8.5
josso-common-1.8.5.josso-common-1.8.5
josso-core-1.8.5.josso-core-1.8.5
josso-protocol-client-1.8.5.josso-protocol-client-1.8.5
josso-servlet-agent-1.8.5.josso-servlet-agent-1.8.5
josso-ws-1.8.5.josso-ws-1.8.5
json_simple-r1.json_simple-r1
oauth-consumer-20090617.oauth-consumer-20090617
oauth-httpclient4-20090913.oauth-httpclient4-20090913
xjavadoc-1.2.3.xjavadoc-1.2.3
Comment 4 Miroslav Cupák 2013-10-02 16:20:06 EDT
Update for the latest spin of 6.1.0.CR03 (build #120):

agents-1.8.5.agents-1.8.5
bootstrap-parent-0.1.0.Final.bootstrap-parent-0.1.0.Final
components-1.8.5.components-1.8.5
core-1.8.5.core-1.8.5
diff_match_patch-current.diff_match_patch-current
doc-style-4.0.0.doc-style-4.0.0
jaxb-impl-2.2.5.jboss-1.jaxb-impl-2.2.5.jboss-1
jboss-mc-int-parent-2.2.0.Alpha2.jboss-mc-int-parent-2.2.0.Alpha2
jboss-remoting-2.5.0.GA.jboss-remoting-2.5.0.GA
jboss-serialization-1.0.3.GA.jboss-serialization-1.0.3.GA
jbosscache-common-parent-1.6.jbosscache-common-parent-1.6
jbosssx-parent-2.0.4.jbosssx-parent-2.0.4
jbossws-native-core-3.1.2.GA.jbossws-native-core-3.1.2.GA
josso-agents-bin-1.8.5.josso-agents-bin-1.8.5
josso-basic-authscheme-1.8.5.josso-basic-authscheme-1.8.5
oauth-core-parent-20090531.oauth-core-parent-20090531
org.atricore.idbus.kernel.main-1.2.2.org.atricore.idbus.kernel.main-1.2.2
batik-css-1.7.batik-css-1.7
batik-util-1.7.batik-util-1.7
exo.tool.framework.junit-1.2.3-GA.exo.tool.framework.junit-1.2.3-GA
jacorb-idl-2.2.3-jonas-patch-20071018.jacorb-idl-2.2.3-jonas-patch-20071018
jaxb-api-2.1.4.jaxb-api-2.1.4
jboss-mc-int-common-2.2.0.Alpha2.jboss-mc-int-common-2.2.0.Alpha2
jboss-mc-int-servlet-2.2.0.Alpha2.jboss-mc-int-servlet-2.2.0.Alpha2
jbosssx-2.0.4.jbosssx-2.0.4
sac-1.3.sac-1.3
xml-apis-2.9.1.xml-apis-2.9.1
bootstrap-ui-0.1.0.Final.bootstrap-ui-0.1.0.Final
caja-r4251.caja-r4251
htmlparser-r4209.htmlparser-r4209
jbosscache-core-3.2.7.GA.jbosscache-core-3.2.7.GA
jgroups-2.6.22.Final.jgroups-2.6.22.Final
josso-agent-1.8.5.josso-agent-1.8.5
josso-agent-shared-1.8.5.josso-agent-shared-1.8.5
josso-common-1.8.5.josso-common-1.8.5
josso-core-1.8.5.josso-core-1.8.5
josso-protocol-client-1.8.5.josso-protocol-client-1.8.5
josso-servlet-agent-1.8.5.josso-servlet-agent-1.8.5
josso-ws-1.8.5.josso-ws-1.8.5
json_simple-r1.json_simple-r1
oauth-consumer-20090617.oauth-consumer-20090617
oauth-httpclient4-20090913.oauth-httpclient4-20090913
xjavadoc-1.2.3.xjavadoc-1.2.3
Comment 5 hfnukal@redhat.com 2013-10-16 05:25:13 EDT
Those components are transient dependencies or testing dependencies. No plans to productize for this release.
Comment 6 Miroslav Cupák 2013-11-01 08:39:23 EDT
As discussed on IRC, this shouldn't be ON_QA as the issue hasn't been fixed. Setting back to ASSIGNED and changing target release to 6.1.1.
Comment 7 Filip Kiss 2014-01-24 07:01:09 EST
Verified in 6.1.1.ER01

Note You need to log in before you can comment on or make changes to this bug.